DO NOT update Presonus 1818 VSL

MUSEician
188 posts since 11 Feb, 2009

Post Wed Oct 22, 2014 9:53 am

Presonus recently released version 1.3 firmware update for their 1818 VSL Audiobox interface, which is shipped with the Receptor Qu4ttro and Trio.

We recommend you DO NOT apply this update to your Presonus 1818 VSL. The update will cause problems with connecting the 1818 VSL to your Receptor Qu4ttro/Trio, and it will no longer work with your Receptor.

If you have already installed this update, we have created a knowledge base article at the link below that describes how to downgrade the 1818 VSL firmware back to version 1.2.

http://www.plugorama.com/kb.php?id=516

Return to “Muse Research and Development”